Chapter 16. Compliance Profile Service
16.1. Compliance Profile Service Copy linkLink copied to clipboard!
16.1.1. GetComplianceProfile Copy linkLink copied to clipboard!
GET /v2/compliance/profile/{id}
GetComplianceProfile retrieves the specified compliance profile
16.1.1.1. Description Copy linkLink copied to clipboard!
16.1.1.2. Parameters Copy linkLink copied to clipboard!
16.1.1.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
16.1.1.3. Return Type Copy linkLink copied to clipboard!
16.1.1.4. Content Type Copy linkLink copied to clipboard!
- application/json
16.1.1.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
16.1.1.6. Samples Copy linkLink copied to clipboard!
16.1.2. ListComplianceProfiles Copy linkLink copied to clipboard!
GET /v2/compliance/profiles/cluster
ListComplianceProfiles returns profiles matching given request
16.1.2.1. Description Copy linkLink copied to clipboard!
16.1.2.2. Parameters Copy linkLink copied to clipboard!
16.1.2.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| clusterId | - | null | ||
| query.query | - | null | ||
| query.pagination.limit | - | null | ||
| query.pagination.offset | - | null | ||
| query.pagination.sortOption.field | - | null | ||
| query.pagination.sortOption.reversed | - | null | ||
| query.pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| query.pagination.sortOption.aggregateBy.distinct | - | null |
16.1.2.3. Return Type Copy linkLink copied to clipboard!
16.1.2.4. Content Type Copy linkLink copied to clipboard!
- application/json
16.1.2.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
16.1.2.6. Samples Copy linkLink copied to clipboard!
16.1.3. ListProfileSummaries Copy linkLink copied to clipboard!
GET /v2/compliance/profiles/summary
ListProfileSummaries returns profiles matching each cluster and the given query
16.1.3.1. Description Copy linkLink copied to clipboard!
16.1.3.2. Parameters Copy linkLink copied to clipboard!
16.1.3.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| clusterIds |
| - | null | |
| query.query | - | null | ||
| query.pagination.limit | - | null | ||
| query.pagination.offset | - | null | ||
| query.pagination.sortOption.field | - | null | ||
| query.pagination.sortOption.reversed | - | null | ||
| query.pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| query.pagination.sortOption.aggregateBy.distinct | - | null |
16.1.3.3. Return Type Copy linkLink copied to clipboard!
16.1.3.4. Content Type Copy linkLink copied to clipboard!
- application/json
16.1.3.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |